Skip to Content

Restore a workspace backup

POST /api/admin/backups/restore

Operation ID: restoreWorkspaceBackup.

API authentication and error conventions.

Authentication

Meet one of these alternatives; schemes within each alternative are required together.

  1. bearerAuth

Parameters

NameLocationRequiredTypeDescription and constraints
includeSecretsqueryNostring

includeSecrets JSON Schema

{
  "type": "string"
}

Request body

Required: Yes.

application/gzip

No body schema is declared for this media type.

Responses

Only the response statuses declared by the specification are listed below.

200

Successful response

application/json

Restore a workspace backup response 200 (application/json) schema. Source for this occurrence.

Last updated on